Get transfers by party
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/transfers/{partyId} \
--header 'x-api-key: <api-key>'{
"content": [
{
"eventId": "<string>",
"transferType": "<string>",
"senders": [
{
"partyId": "<string>",
"accountName": "<string>",
"imageUrl": "<string>"
}
],
"receivers": [
{
"partyId": "<string>",
"accountName": "<string>",
"imageUrl": "<string>"
}
],
"amount": 123,
"fee": 123,
"createdAt": 123
}
],
"hasNextPage": true,
"nextCursor": "<string>"
}Transfers
Get transfers by party
Retrieve paginated list of transfers for a specific party
GET
/
v1
/
transfers
/
{partyId}
Get transfers by party
curl --request GET \
--url https://api.modo.link/canton-mainnet/v1/transfers/{partyId} \
--header 'x-api-key: <api-key>'{
"content": [
{
"eventId": "<string>",
"transferType": "<string>",
"senders": [
{
"partyId": "<string>",
"accountName": "<string>",
"imageUrl": "<string>"
}
],
"receivers": [
{
"partyId": "<string>",
"accountName": "<string>",
"imageUrl": "<string>"
}
],
"amount": 123,
"fee": 123,
"createdAt": 123
}
],
"hasNextPage": true,
"nextCursor": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://docs.modo.link/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
Party ID
Query Parameters
Filter transfers by role: ANY, SENDER, RECEIVER, or PROVIDER.
Available options:
ANY, SENDER, RECEIVER, PROVIDER Sorting parameter.
Available options:
AGE Number of queried entries.
Required range:
1 <= x <= 100Sorting method: from the lowest element to the highest (ASC) or from the highest element to the lowest (DESC).
Available options:
ASC, DESC Cursor for pagination to retrieve the next page of results. Leave empty for the first page.
⌘I